public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/inn] epel10.3: auto-import changelog data from inn-2.3.1-2.src.rpm
@ 2026-08-26 8:53 cvsdist
0 siblings, 0 replies; only message in thread
From: cvsdist @ 2026-08-26 8:53 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/inn
Branch : epel10.3
Commit : b7890b8506b6a10a0a6130741527ffb976fc7a51
Author : cvsdist <cvsdist@fedoraproject.org>
Date : 2004-09-09T06:15:49+00:00
Stats : +78/-104 in 4 file(s)
URL : https://src.fedoraproject.org/rpms/inn/c/b7890b8506b6a10a0a6130741527ffb976fc7a51?branch=epel10.3
Log:
auto-import changelog data from inn-2.3.1-2.src.rpm
Wed Feb 14 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add startup script patch by kevin@labsysgrp.com #27421
- inews subpackage does not depend on inn anymore #24439
- fix reload and make some cleanups to the startup script #18076
Wed Feb 07 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add a "exit 0" to the postun script
Wed Jan 24 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.3.1
- do not use --enable-tagged-hash
- move tmp dir to /var/lib/news/tmp
- add more docu
- do not call "strip" directly
- remove some of the default files as the ones in INN are ok
- do not req /etc/init.d
- do not attempt an automatic update from previous versions as we have to
deal with different storage methods
- prepare startup script for translations
- add minimal check into startup for a history file
---
diff --git a/.cvsignore b/.cvsignore
index 260ad42..9502c3c 100644
--- a/.cvsignore
+++ b/.cvsignore
@@ -1,2 +1,2 @@
-inn-2.2.3.tar.gz
+inn-2.3.1.tar.gz
inn-faq.tar.gz
diff --git a/inn.spec b/inn.spec
index 3ecc09c..76566b1 100644
--- a/inn.spec
+++ b/inn.spec
@@ -1,29 +1,20 @@
Summary: The InterNetNews (INN) system, an Usenet news server.
Name: inn
-Version: 2.2.3
-Release: 5
+Version: 2.3.1
+Release: 2
Copyright: GPL
Group: System Environment/Daemons
Source0: ftp://ftp.isc.org/isc/inn/inn-%{version}.tar.gz
-Source1: inn-default-active
Source2: inn-default-distributions
-Source3: inn-default-newsgroups
Source4: inn-cron-expire
Source5: inn-cron-rnews
-Source6: inn-etc-nnrp.access
Source7: inn-cron-nntpsend
Source8: innd.init
-#Source9: ftp://ftp.exit109.com/users/jeremy/cleanfeed-latest.tar.gz
Source10: inn-faq.tar.gz
-Patch0: inn-2.2.2-rh.patch
-Patch1: inn-sec.patch
-Patch2: inn-2.2.1-frsize.patch
-Patch3: inn-2.2.2-gcc.patch
-Patch4: inn-2.2.2-nonroot.patch
-Patch5: inn-perms.patch
+Patch: inn-2.3.1-rh.patch
Buildroot: %{_tmppath}/%{name}-root
-Prereq: /sbin/chkconfig grep textutils sed fileutils sh-utils /etc/init.d
-Requires: cleanfeed
+Prereq: /sbin/chkconfig, grep, textutils, sed, fileutils, sh-utils
+Requires: cleanfeed, bash >= 2.0
%description
INN (InterNetNews) is a complete system for serving Usenet news and/or
@@ -66,27 +57,21 @@ local news servers.
%prep
%setup -q -a 10
-%patch0 -p1 -b .rh
-%patch1 -p1 -b .sec
-%patch2 -p1 -b .frsize
-%patch3 -p1 -b .gcc
-%patch4 -p1 -b .nonroot
-%patch5 -p0
+%patch -p1 -b .rh
%build
rm -f config.cache
libtoolize --copy --force
-./configure --prefix=/usr \
- --sysconfdir=/etc/news \
- --mandir=%{_mandir} \
+autoconf
+export CFLAGS="$RPM_OPT_FLAGS -I/usr/include/db1"
+with_tmp_path=/var/lib/news/tmp ./configure --prefix=/usr \
+ --sysconfdir=/etc/news --mandir=%{_mandir} \
--with-log-dir=/var/log/news --with-spool-dir=/var/spool/news\
--with-db-dir=/var/lib/news --with-run-dir=/var/run/news \
- --with-etc-dir=/etc/news --with-tmp-dir=/tmp \
+ --with-etc-dir=/etc/news --with-tmp-dir=/var/lib/news/tmp \
--with-perl --enable-shared --enable-uucp-rnews \
- --enable-tagged-hash --enable-merge-to-groups \
- --with-news-user=news --with-news-group=news \
- --with-news-master=news --enable-pgp-verify \
- --with-sendmail=/usr/sbin/sendmail
+ --enable-pgp-verify --with-sendmail=/usr/sbin/sendmail \
+ --with-news-user=news --with-news-group=news --with-news-master=news
make
%install
@@ -104,33 +89,23 @@ done
mkdir -p $RPM_BUILD_ROOT/etc
mv $RPM_BUILD_ROOT/usr/bin/rc.news $RPM_BUILD_ROOT/etc
-file $RPM_BUILD_ROOT/usr/bin/* $RPM_BUILD_ROOT/usr/bin/*/* 2>/dev/null | \
- grep ELF | cut -d':' -f1 | xargs -l strip
-
touch $RPM_BUILD_ROOT/var/lib/news/subscriptions
chmod 644 $RPM_BUILD_ROOT/var/lib/news/subscriptions
-install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/var/lib/news/active
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/var/lib/news/distributions
-install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/var/lib/news/newsgroups
mkdir -p $RPM_BUILD_ROOT/etc/cron.{hourly,daily}
install %{SOURCE4} $RPM_BUILD_ROOT/etc/cron.daily/inn-cron-expire
install %{SOURCE5} $RPM_BUILD_ROOT/etc/cron.hourly/inn-cron-rnews
install %{SOURCE7} $RPM_BUILD_ROOT/etc/cron.hourly/inn-cron-nntpsend
-install -m440 %{SOURCE6} $RPM_BUILD_ROOT/etc/news/nnrp.access
-
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install %{SOURCE8} $RPM_BUILD_ROOT/etc/rc.d/init.d/innd
-rm -f $RPM_BUILD_ROOT/var/lib/news/history
-touch $RPM_BUILD_ROOT/var/lib/news/{history,.news.daily}
-LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/bin/makehistory\
- -a $RPM_BUILD_ROOT/var/lib/news/active \
- -i -r -f $RPM_BUILD_ROOT/var/lib/news/history || :
-chmod 644 $RPM_BUILD_ROOT/var/lib/news/*
-chmod 644 $RPM_BUILD_ROOT/var/lib/news/.news.daily
+touch $RPM_BUILD_ROOT/var/lib/news/history
+#LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/bin/makedbz -i \
+# -f $RPM_BUILD_ROOT/var/lib/news/history
+#chmod 644 $RPM_BUILD_ROOT/var/lib/news/*
# we get this from cleanfeed
rm -f $RPM_BUILD_ROOT/usr/bin/filter/filter_innd.pl
@@ -142,8 +117,8 @@ find samples -name "*.in" -exec chmod a-x {} \;
echo "%defattr(-,news,news)" > files.list
find $RPM_BUILD_ROOT -type f -or -type l | \
sed -e "s|$RPM_BUILD_ROOT||g" | \
- sed 's|^/etc/cron|%config %attr(-,root,root) &|' | \
- sed 's|^/etc|%config &|' | \
+ sed 's|^/etc/cron|%config(noreplace) %attr(-,root,root) &|' | \
+ sed 's|^/etc|%config(noreplace) &|' | \
sed 's|^/var/lib/news/|%config(noreplace) &|' | \
sed 's|.*innshellvar|%config &|' | \
sed 's|/var/log/news|%ghost &|' | \
@@ -168,28 +143,10 @@ touch /var/log/news/news.notice
touch /var/log/news/news.crit
touch /var/log/news/news.err
chown -R news.news /var/log/news*
-[ -f /var/lib/news/active.times ] || {
- touch /var/lib/news/active.times
- chown news.news /var/lib/news/active.times
-}
-
-cd /var/lib/news
-if [ -f history ]; then
- /usr/bin/makehistory -i -r
- for i in dir hash index pag; do
- [ -f history.n.$i ] && mv history.n.$i history.$i
- done
- chown news.news history.*
- chmod 644 history.*
-else
- cp /dev/null history
- /usr/bin/makehistory -i
- for i in dir hash index pag; do
- [ -f history.n.$i ] && mv history.n.$i history.$i
- done
- chown news.news history history.*
- chmod 644 history history.*
-fi
+
+%triggerpostun -- inn < 2.3.0
+service innd stop > /dev/null 2>&1
+exit 0
%triggerin -- sysklogd
if [ -f /etc/syslog.conf ]; then
@@ -227,6 +184,7 @@ fi
if [ "$1" -ge 1 ]; then
service innd condrestart > /dev/null 2>&1
fi
+exit 0
%files -f files.main
%defattr(-,news,news)
@@ -236,23 +194,22 @@ fi
%dir /usr/bin/auth
%dir /etc/news
%dir /var/spool/news
-%dir /var/spool/news/articles
-%dir /var/spool/news/overview
%dir /var/spool/news/archive
+%dir /var/spool/news/articles
%dir /var/spool/news/incoming
%dir /var/spool/news/incoming/bad
-%dir /var/spool/news/outgoing
-%dir /var/spool/news/uniover
%dir /var/spool/news/innfeed
+%dir /var/spool/news/outgoing
+%dir /var/spool/news/overview
%dir /var/log/news
%dir /var/log/news/OLD
%dir /var/lib/news
+%dir /var/lib/news/tmp
%dir /var/run/news
%defattr(-,root,root)
%{_mandir}/man[158]/*
-%doc samples
-%doc README* ChangeLog CONTRIBUTORS COPYRIGHT HISTORY INSTALL
-%doc faq
+%doc NEWS README* ChangeLog CONTRIBUTORS LICENSE HISTORY INSTALL
+%doc %dir samples
%files devel -f files.devel
%defattr(-,root,root)
@@ -264,6 +221,27 @@ fi
%{_mandir}/man1/inews*
%changelog
+* Wed Feb 14 2001 Florian La Roche <Florian.LaRoche@redhat.de>
+- add startup script patch by kevin@labsysgrp.com #27421
+- inews subpackage does not depend on inn anymore #24439
+- fix reload and make some cleanups to the startup script #18076
+
+* Wed Feb 07 2001 Florian La Roche <Florian.LaRoche@redhat.de>
+- add a "exit 0" to the postun script
+
+* Wed Jan 24 2001 Florian La Roche <Florian.LaRoche@redhat.de>
+- update to 2.3.1
+- do not use --enable-tagged-hash
+- move tmp dir to /var/lib/news/tmp
+- add more docu
+- do not call "strip" directly
+- remove some of the default files as the ones in INN are ok
+- do not req /etc/init.d
+- do not attempt an automatic update from previous versions as
+ we have to deal with different storage methods
+- prepare startup script for translations
+- add minimal check into startup for a history file
+
* Mon Jan 22 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- innreport had wrong perms
- files for the cron-jobs must be owned by root:root
diff --git a/innd.init b/innd.init
index f3ae02d..5762fb1 100644
--- a/innd.init
+++ b/innd.init
@@ -1,11 +1,11 @@
-#! /bin/sh
+#!/bin/bash
#
# innd InterNet News System
#
# chkconfig: - 95 05
# description: inn is the most popular server for Usenet news. It allows \
# you to setup local news servers. It can be difficult to \
-# set up properly though, so be sure to read /usr/doc/inn* \
+# set up properly though, so be sure to read /usr/share/doc/inn* \
# before trying.
# processname: innd
# pidfile: /var/run/news/innd.pid
@@ -17,67 +17,62 @@
. /etc/sysconfig/network
# Check that networking is up.
-if [ ${NETWORKING} = "no" ]
-then
- exit 0
-fi
-
+[ ${NETWORKING} = "no" ] && exit 0
[ -d /etc/news ] || exit 0
-[ -d /var/spool/news ] || exit 0
+[ -f /etc/news/inn.conf ] || exit 0
+. /usr/lib/innshellvars
+[ -d "$SPOOLBASE" ] || exit 0
+[ -f "$HISTORY" -a -f "$HISTORY.hash" ] || {
+ echo $"Please run makehistory and/or makedbz before starting innd." >&2
+ exit 1
+}
RETVAL=0
start() {
- echo -n "Starting INND system: "
+ echo -n $"Starting INND system: "
daemon --user news /etc/rc.news
RETVAL=$?
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/innd
echo
- return $RETVAL
}
stop() {
- if [ -f /var/run/news/innd.pid ]
- then
- echo -n "Stopping INND service: "
+ if [ -f /var/run/news/innd.pid ]; then
+ echo -n $"Stopping INND service: "
killproc innd
RETVAL=$?
[ $RETVAL -eq 0 ] && rm -f /var/run/news/innd.pid
echo
fi
- if [ -f /var/run/news/innwatch.pid ]
- then
- echo -n "Stopping INNWatch service: "
+ if [ -f /var/run/news/innwatch.pid ]; then
+ echo -n $"Stopping INNWatch service: "
killproc innwatch -9
RETVAL=$?
[ $RETVAL -eq 0 ] && rm -f /var/run/news/innwatch.pid
echo
fi
- if [ -f /var/run/news/innfeed.pid ]
- then
- echo -n "Stopping INNFeed service: "
+ if [ -f /var/run/news/innfeed.pid ]; then
+ echo -n $"Stopping INNFeed service: "
killproc innfeed -9
RETVAL=$?
[ $RETVAL -eq 0 ] && rm -f /var/run/news/innfeed.pid
echo
fi
- if [ -f /var/run/news/actived.pid ]
- then
- echo -n "Stopping INN actived service: "
+ if [ -f /var/run/news/actived.pid ]; then
+ echo -n $"Stopping INN actived service: "
killproc actived -9
RETVAL=$?
[ $RETVAL -eq 0 ] && rm -f /var/run/news/actived.pid
echo
fi
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/innd /var/lock/news/*
- return $RETVAL
}
reload() {
- echo -n "Reloading INN Service: "
+ echo -n $"Reloading INN Service: "
killproc innd -HUP
RETVAL=$?
- return $RETVAL
}
restart() {
@@ -97,11 +92,12 @@ case "$1" in
status innd
;;
reload)
- reload
+ #XXX fixme, not working
+ #reload
+ restart
;;
restart)
- stop
- start
+ restart
;;
condrestart)
if [ -f /var/lock/subsys/innd ]; then
@@ -109,7 +105,7 @@ case "$1" in
fi
;;
*)
- echo "Usage: $0 {start|stop|status|restart|condrestart}"
+ echo $"Usage: $0 {start|stop|status|restart|condrestart}"
exit 1
;;
esac
diff --git a/sources b/sources
index 74ea5a2..ee0b14e 100644
--- a/sources
+++ b/sources
@@ -1,2 +1,2 @@
-0c0f71d79cc2b4fbd5bad4a7f093f53f inn-2.2.3.tar.gz
+2032f076fb18f5fa87c8b763e83fbdd4 inn-2.3.1.tar.gz
b5e6321446594749eea087c6710eefa5 inn-faq.tar.gz
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-08-26 8:53 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-08-26 8:53 [rpms/inn] epel10.3: auto-import changelog data from inn-2.3.1-2.src.rpm cvsdist
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox